/*###############################################*/
/*###################  Fonts  ###################*/
/*###############################################*/

@font-face {
    font-family: 'DM Sans';
    src: url(fonts/DM_Sans/DMSans-Regular.ttf);
}

@font-face {
    font-family: 'Tajawal';
    src: url(fonts/Tajawal/Tajawal-Regular.ttf);
}

@font-face {
  font-family: 'FunGroovy';
  src: url(fonts/Fun_groovy/FunGroovy.ttf);
}

@font-face {
  font-family: 'Excluded';
  src: url(fonts/Excluded/Excluded.ttf);
}

/*###############################################*/
/*################   Animations   ###############*/
/*###############################################*/

.icon-animation-grow:hover, .icon-animation-grow:focus, .icon-animation-grow:active {
  transform: scale(1.1);
  transition-duration: .3s;
  transition-property: transform;

}

@keyframes icon-animation-bob {
  0% {
    transform: translateY(-8px)
  }

  50% {
    transform: translateY(-4px)
  }

  100% {
    transform: translateY(-8px)
  }
}

@keyframes icon-animation-bob-float {
  100% {
    transform: translateY(-8px)
  }
}

.icon-animation-bob:active, .icon-animation-bob:focus, .icon-animation-bob:hover {
  animation-name: icon-animation-bob-float, icon-animation-bob;
  animation-duration: .3s, 1.5s;
  animation-delay: 0s, .3s;
  animation-timing-function: ease-out, ease-in-out;
  animation-iteration-count: 1, infinite;
  animation-fill-mode: forwards;
  animation-direction: normal, alternate
}

::selection {
    background-color: var(--global-site-colour-1);
    color: #000000;
}

/*###############################################*/
/*###########   Elements and Globals  ###########*/
/*###############################################*/


button, html input[type="button"], input[type="reset"], input[type="submit"] {
  appearance: button;
  -webkit-appearance: button;
  cursor: pointer;
}

* {
  box-sizing: border-box;
}

html, body {
  height: 100%;
  margin: 0;
}

body {
  color: #333;
  font-family: 'DM Sans',sans-serif;
  font-style: normal;
  line-height: 1.7;
  display: flex;
  flex-direction: column;
}

main {
  flex: 1 0 auto;
}

footer {
  width: 100%;
  z-index: 1;
  position: relative;
}

img {
  vertical-align: middle;
  height: auto;
  max-width: 100%;
  border: 0;
    border-top-color: currentcolor;
    border-top-style: none;
    border-top-width: 0px;
    border-right-color: currentcolor;
    border-right-style: none;
    border-right-width: 0px;
    border-bottom-color: currentcolor;
    border-bottom-style: none;
    border-bottom-width: 0px;
    border-left-color: currentcolor;
    border-left-style: none;
    border-left-width: 0px;
    border-image-outset: 0;
    border-image-repeat: stretch;
    border-image-slice: 100%;
    border-image-source: none;
    border-image-width: 1;
}

img.alignnone {
  display: inline-block;
}

address, blockquote, body, dd, dl, dt, fieldset, figure, h1, h2, h3, h4, h5, h6, hr, html, iframe, legend, li, ol, p, pre, textarea, ul {
  border: 0;
  font-size: 100%;
  font-style: inherit;
  font-weight: inherit;
  margin: 0;
    margin-bottom: 0px;
  outline: 0;
  padding: 0;
  vertical-align: baseline;
}

h1 {
  font-size: 4.5em;
}

h2 {
  font-size: 3.5em;
}

h3 {
  font-size: 2.7em;
}

h4 {
  font-size: 1.8em;
}

h5 {
  font-size: 1.5em;
  padding: 0.5em 0;
}

.list ul {
  padding-left: 30px;
}

.list ul > ul {
  list-style-type: none
}

.list ul > ul > li {
  list-style-type: none;
}

.list ul, .list ul > ul {
  list-style-type: square;
}

body, button, input, select, textarea {
  font-family: 'DM Sans',sans-serif;
  font-weight: 400;
  font-size: 16px;
  font-size: 1rem;
  line-height: 1.7;
}

.global-inline-flex {
  display: inline-flex;
  align-items: center;
  flex-wrap: wrap;
  align-content: center;
}

.global-flex {
  display: flex;
  flex-wrap: wrap;
}

.global-grid-row {
  display: grid;
  align-items: center;
  max-width: 1200px;
  margin-left: auto;
  margin-right: auto;
  grid-template-columns: auto auto;
  grid-column-gap: 20px;
  overflow-wrap: anywhere;
}

.global-layout-element {
  align-items: center;
}

.global-content-spacer-small {
  width: 100%;
  margin-top: 20px;
}

.global-content-spacer-medium {
  width: 100%;
  margin-top: 40px;
}

.global-content-spacer-large {
  width: 100%;
  margin-top: 80px;
}

.global-content-section {
  margin-bottom: 1em;
}

.global-divider {
  width: 100%;
  display: grid;
  grid-template-columns: auto 2.5em auto;
  padding-top: 20px;
  padding-bottom: 20px;
}

.global-divider-nobreak {
  width: 100%;
  display: grid;
  grid-template-columns: auto;
  padding-top: 20px;
  padding-bottom: 20px;
}

.global-divider .line, .global-divider-nobreak .line {
  height: 0;
  align-self: center;
  border-style: solid;
  color: var(--global-site-colour-7);
  border-width: 1px;
}

.global-divider .line-icon {
  display: flex;
  width: 100%;
  fill: rgb(129, 138, 145);
  justify-content: center;
}

.line-icon svg {
  width: 1.2em;
  height: auto;
  overflow: visible;
}

.page-heading {
  font-family: "Tajawal", Sans-serif;
  font-weight: normal;
  letter-spacing: 0px;
  line-height: 1.2;
}

.page-sub-heading-container {
  width: 100%;
  text-align: center;
  margin: 0px;
  margin-bottom: 0.5em;
  margin-top: 0.5em;
}

.page-sub-heading {
  text-align: center;
  color: var(--text-colour-2);
}

.background-overlay {
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
  position: absolute;
  background-color: #000000;
  opacity: 0.2;
}

.text-box {
  padding: 1.5em;
}

.text-box P {
  margin-bottom: 0.8em;
}

.site-navigator {
  text-decoration: none;
  color: var(--global-site-colour-7);
}

/*###############################################*/
/*################  Components  #################*/
/*###############################################*/

/*###################  contact form  ###################*/

.contact-address-image {
  border-radius: 1.5em;
  margin: 1em 0;
  max-width: 650px;
  min-width: 250px;
  width: 100%;
}

.contact-form-container {
  width: 100%;
  padding: 1em;
  display: flex;
  justify-content: center;
}

.contact-form {
  display: grid;
  min-width: 60%;
}

.contact-form textarea {
  resize: vertical;
  margin: 1em 0;
  padding: 0.5em;
  min-height: 150px;
}

.contact-field {
  padding: 1em 0em;
}

.contact-field > label {
  padding-right: 0.8em;
  padding-bottom: 0.5em;
}

.contact-form input[type="submit"] {
  max-width: 100px;
  justify-self: anchor-center;
}

/*###################  photo-window  ###################*/
#photo-window {
  display: none;
  justify-content: center;
  position: fixed;
  height: 100vh;
  width: 100vw;
  z-index: 100;
}

#photo-window-close-button {
  display: flex;
  position: absolute;
  justify-content: center;
  align-items: center;
  background: none;
  border: none;
  height: 4em;
  width: 4em;
  top: 0;
  left: 0;
  margin: 1em;
  z-index: 105;
  transform:translate3d(0,0,0);
  -webkit-transform:translate3d(0,0,0);
}

#photo-window-close-button-xpath {
  fill: var(--global-site-colour-1);
}

/* This element is changed by a javascript function in 'functions.js' */
#photo-window-container {
  display: flex;
  /* grid-template-columns: 65% 35%; */
  justify-content: center;
  width: 100%;
  /* z-index: 100; */
    margin: 1.5em;
}

#photo-window-hide-overlay {
  z-index: 101;
  position: absolute;
  width: 100%;
  height: 100%;
}

#photo-window-container * {
  z-index: 102;
}

#photo-window-textarea {
  display: grid;
  height: 100%;
  background-color: black;
  border-left: 2px dashed;
  border-color: var(--global-site-colour-1);
  max-width: 35%;
  overflow-y: auto;
}

#photo-window-textarea-container {
  display: block;
  padding: 1.5em;
  color: white;
  text-align: center;
  align-self: center;
}

#photo-window-container img {
  align-self: center;
  max-height: 100%;
  min-width: 0;
  width: unset;
  min-height: 0;
  min-width: 0;
}

.photo-window-text-contents {
  display: none;
}

#image-side-fix-mobile {
  display: block;
  grid-row: 1/2;
  grid-column: 1/2;
  background-color: black;
}

.photo-window-item-container {
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  filter: drop-shadow(0 0 0.5em rgb(0, 0, 0));
}

.photo-window-single-image {
  cursor: pointer;
}

.photo-window-item-container img {
  height: 100%;
  object-fit: cover;
}

.photo-window-item-container img:hover {
  cursor: pointer;
  transition: filter 0.5s;
  transition-timing-function: ease;
  filter: brightness(60%)
}

.photo-window-item-container p {
  position: absolute;
  text-align: center;
  padding: 1em;
	color: white;
}

/*###################  Feature section  ###################*/

.feature-section {
  padding: 24px, 0px;
  display: flex;
  justify-content: center;
}

.grid-container-2 {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
}

.grid-container-3 {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
}

.feature-tile {
  max-width: 350px;
  margin: 25px;
  text-align: center;
}

.feature-tile:hover {
  cursor: pointer;
  transition: filter 0.5s;
  transition-timing-function: ease;
  filter: brightness(60%)
}

.feature-tile img {
  border-radius: 1em;
}

.feature-tile p {
  font-size: 1.3em;
}

.feature-tile a {
  text-decoration: none;
  color: var(--global-site-colour-6);
}

/*################### Slideshow  ###################*/

.slideshow-container {
  max-width: 700px;
  max-height: 500px;
  position: relative;
  margin: auto;
  margin-top: 1em;
  margin-bottom: 1em;
}

.mySlides {
  display: none;
}

.mySlides img, .mySlides video {
  max-height: 500px;
  max-width: 700px;
  width: 100%;
}

.prev, .next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  margin-top: -22px;
  padding: 16px;
  color: white;
  font-weight: bold;
  font-size: 18px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
}


/* Position the "next button" to the right */
.next {
  right: 0;
  border-radius: 3px 0 0 3px;
}

/* On hover, add a black background color with a little bit see-through */
.prev:hover, .next:hover {
  background-color: rgba(0,0,0,0.8);
}

/* Caption text */
.slideshow-text {
  color: #f2f2f2;
  font-size: 15px;
  padding: 8px 12px;
  position: absolute;
  bottom: 8px;
  width: 100%;
  text-align: center;
  text-shadow: 0px 0px 0.4em black;
}

/* Number text (1/3 etc) */
.numbertext {
  color: #f2f2f2;
  font-size: 12px;
  padding: 8px 12px;
  position: absolute;
  top: 0;
  text-shadow: 0px 0px 0.4em black;
}

/* The dots/bullets/indicators */
.slideshow-dot {
  cursor: pointer;
  height: 15px;
  width: 15px;
  margin: 0 2px;
  background-color: #bbb;
  border-radius: 50%;
  display: inline-block;
  transition: background-color 0.6s ease;
}

@media (max-width:544px) {
  .slideshow-dot {
  display: none;
  }
}

.active-image, .dot:hover {
  background-color: #717171;
}

/* Fading animation */
.fade {
  animation-name: fade;
  animation-duration: 1.5s;
}

@keyframes fade {
  from {opacity: .4}
  to {opacity: 1}
}



/*###############################################*/
/*##################   Header  ##################*/
/*###############################################*/

header {
  left: 0;
  right: 0;
  z-index: 99; /* With background overlays being absolute the order needs implementing */
}

.header-solid {
  filter: drop-shadow(0 0 0.5em rgb(213, 213, 213));
  position: relative;
}

.header-transparent {
  position: absolute;
}

.header-logo img {
  max-width: 50px;
}

.page-heading-container {
  text-align: center;
}

.site-header-section {
  height: 100%;
  min-height: 0;
  align-items: center;
}

.header-grid-box {
  display: grid;
  grid-template-columns: auto auto;
  align-items: center;
  grid-column-gap: 20px;
  padding: 0.8em 1.3em;
  background: linear-gradient(var(--global-site-colour-5), rgba(2,0,36,0));
}

.header-flex-left {
  display: flex;
}

.header-flex-right {
  display: flex;
  justify-content: flex-end;
}

.site-identity-section {
  display: flex;
  align-items: center;
}

.site-title {
  padding: 0 0.5em;
}

.site-title a {
  font-size: 1.1em;
  text-decoration: none;
  color: var(--global-site-colour-1);
}

.site-navigation-mobile {
  display: none;
  font-size: 1.5em;
}

.custom-logo:hover {
  transform: scale(1.1);
  transition-duration: .3s;
}

#site-navigation-desktop-menu {
  display: flex;
  align-items: center;
}

#site-navigation-desktop-menu ul {
  display: flex;
  list-style: none;
  margin: 0;
  padding-left: 0;
}

#site-navigation-desktop-menu ul li{
  display: flex;
  line-height: 3.4em;
  justify-content: center;
}

#site-navigation-desktop-menu ul li a{
  align-items: center;
  display: flex;
  padding: 0 1em;
  transition: all .2s linear;
  text-decoration: none;
  color: white;
}

#site-navigation-desktop-menu ul li a:hover {
  color: var(--global-site-colour-1);
  transition: color 0.2s linear;
}

.site-navigation-desktop {
  display: flex;
  align-items: center;
}

#site-navigation-mobile-menu {
   display: none;
   width: 100%;
   z-index: 10;
   transform:translate3d(0,0,0);
   -webkit-transform:translate3d(0,0,0);
}

#site-navigation-mobile-menu a {
  color: black;
  background-color: white;
  width: 100%;
  padding: 14px 16px;
  border: 0;
    border-top-color: currentcolor;
    border-top-style: none;
    border-right-color: currentcolor;
    border-right-style: none;
    border-bottom-color: currentcolor;
    border-bottom-style: none;
    border-bottom-width: 0px;
    border-left-color: currentcolor;
    border-left-style: none;
  border-bottom-color: var(--global-site-colour-3);
  border-bottom-width: 1px;
  border-style: solid;
  text-decoration: none;
  font-size: 17px;
  display: block;
}

#site-navigation-mobile-menu a.icon {
  background: black;
  display: block;
  position: absolute;
  right: 0;
  top: 0;
}

#site-navigation-mobile-menu a:hover {
  color: var(--global-site-colour-1);
  transition: color 0.2s;
}

.mobile-menu-toggle {
  font-size: inherit;
  border: none;
  border-radius: 100px;
  display: flex;
  align-items: center;
  padding: 0.5em;
  background: var(--global-site-colour-1);
  width: auto;
  height: auto;
}

.mobile-menu-toggle-icon {
  fill: white;
  display: inline-flex;
  flex-wrap: wrap;
  align-self: center;
}

.menu-svg {
  width: 22px;
  height: 22px;
}

#closed-menu-svg {
  display: block;
}

#opened-menu-svg {
  display: none;
}

/*###############################################*/
/*##################   Footer  ##################*/
/*###############################################*/

.footer-above-grid-columns {
  grid-template-columns: repeat( 2,1fr );
  grid-column-gap: 50px;
}

.footer-primary-grid-columns {
  grid-template-columns: 2fr 1fr 2fr;
  grid-column-gap: 50px;
}

.svg-icon {
  align-self: center;
}
.svg-icon:hover {
  transform: scale(1.1);
  transition-duration: .15s;
  transition-property: transform;
}

.footer-above {
  display: grid;
  width: 100%;
  align-content: center;
  padding-top: 20px;
  padding-bottom: 20px;
  background-color: var(--global-site-colour-3);
  min-height: 60px;
}

.footer-primary {
  display: grid;
  padding-top: 15px;
  padding-bottom: 15px;
  background-image: none;
  margin-top: 0px;
  margin-bottom: 0px;
}

.footer-social-element-section {
  display: flex;
  margin-bottom: 0;
  font-size: 0; /* Removes whitespace from section as it has no text */
}

.footer-social-element-wrap {
  width: 100%;
  text-align: center;
}

.footer-social-element {
  width: 30px;
  height: 30px;
  margin-left: 20.5px;
  margin-right: 20.5px;
  margin-top: 5px;
  margin-bottom: 5px;
  color: #3a3a3a;
  line-height: 1;
  color: #3a3a3a;
  background: transparent;
  vertical-align: middle;
  transition: all 0.01s;
  justify-content: center;
  align-items: center;
}

.footer-social-element svg {
  width: 30px;
  height: 30px;
}

.footer-email-subscribe-section {
  visibility: hidden;
}

.footer-email-subscribe-wrap {
  padding: 20px;
}
.footer-email-subscribe-wrap p {
  text-align: left;
  margin-bottom: 3px;
  color: var(--global-site-colour-4);
}

input {
  margin: 0;
  vertical-align: baseline;
}

input[type="submit"] {
  appearance: button;
  -webkit-appearance: button;
  cursor: pointer;
}

.esb-email {
  width: 100%;
  height: auto;
  box-sizing: border-box;
  padding: 10px;
  display: inline-block;
  border: 1px solid #ddd;
  background-color: #f4f4f4;
  color: #444;
  font-size: 14px;
  line-height: 20px;
  border-radius: 0px;
}

.esb-submit {
  width: 100%;
  box-sizing: border-box;
  display: inline-block;
  padding: 10px;
  border: 1px;
  border-color: #ddd;
  background-color: #444;
  background-image: none;
  text-shadow: none;
  color: #fff;
  font-size: 14px;
  line-height: 20px;
  border-radius: 0px;
  margin: 0;
  word-wrap: none;
}

.mailchimp-email {
  width: 70%;
  display: inline-block;
  max-width: 300px;
}

.mailchimp-submit {
  width: 29%;
  display: inline-block;
}

.footer-logo {
  text-align: center;
}

.footer-logo p:first-child {
  margin-top: 0;
}

.footer-logo p:last-child {
  margin-bottom: 0;
}

.footer-content-wrapper {
  display: flex;
  justify-content: center;
  width: 100%;
}

.footer-content-wrapper > * {
  margin: 0em, 0.2em;
}

.copyright-text {
  color: var(--global-site-colour-2);
  margin: 0px 40px 0px 0px;
  text-align: right;
}

/*###############################################*/
/*#################### Pages ####################*/
/*###############################################*/

.page-section, .page-container {
  position: relative;
}

.page-container {
  width: 100%;
}

.section-container {
  display: flex;
  justify-content: center;
} 

.section-content-wrap {
  display: flex;
  flex-direction: column;
  width: 100%;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  padding: 2em;
  padding-top: 1.5em;
}

.desktop-social-icon-row {
  padding: 0% 15% 0% 15%;
  width: 100%;
  display: flex;
  margin-right: auto;
  margin-left: auto;
  position: relative;
  margin-bottom: 20px;
  justify-content: center;
}

.desktop-social-icon-wrapper {
  width: 20%;
  text-align: center;
}

.social-media-icon {
  text-align: center;
  display: inline-block;
  font-size: 50px;
}

.social-media-icon img {
  width: 1em;
  height: 1em;
  position: relative;
  display: block;
}

.hero-section img {
  max-width: min(425px,100%);
  border-radius: 100%;
}

.hero-section {
  text-align: center;
}

.hero-section .text-box{
  margin: 3em 0;
}

.hero-section h3 {
  font-size: 3em;
  font-family: Excluded;
}

/*###############################################*/
/*###############  Class styles  ################*/
/*###############################################*/

/* These go at the end of the file to override any prior styles in the styles.css file */

.font-size-1p2em {font-size: 1.2em;}
.font-size-2em {font-size: 2em;}

.text-align-left {text-align: left;}
.text-align-center {text-align: center;}

.overflow-wrap-anywhere {overflow-wrap: anywhere;}

.margin-top-5em {margin-top: 5em;}

.margin-bottom-0p4em {margin-bottom: 0.4em;}
.margin-bottom-3em {margin-bottom: 3em;}

.padding-0p2em {padding: 0.2em;}
.padding-1p5em {padding: 1.5em;}
.padding-bottom-0p5em {padding-bottom: 0.5em;}

.opacity-2 {opacity: 0.2;}
.opacity-4 {opacity: 0.4;}
.opacity-6 {opacity: 0.6;}

.width-100pct {width: 100%;}
.height-100pct {height: 100%;}

.max-width-80pct {max-width: 80%;}

.aspect-16x9 {aspect-ratio: 16/9;}

.display-flex {display: flex;}
.display-grid {display: grid;}


/*###############################################*/
/*################  Media Queries ###############*/
/*###############################################*/
/* Media Queries (At end of file so they override defaults), Also they must be in order ie 9XXpx before 5XXpx */

@media (min-width:2000px) {
  main, header, footer {
    max-width: 2000px;
    margin: auto;
  }
}

@media (max-width:921px) {
  html {
    font-size: 91.2%;
  }
  .global-grid-row {
    grid-template-columns: 1fr;
    grid-template-columns: auto auto;
    align-items: center;
    overflow-wrap: anywhere;
  }
  .site-navigation-mobile {
    display: block;
  }
  .site-navigation-desktop {
    display: none;
  }
  .header-logo img {
    max-width: 60px;
  }
  .custom-logo:hover {
    transform: none;
  }
  .footer-primary {
    padding-top: 50px 20px 30px;
    margin: 0px;
  }
  .footer-primary .footer-section {
    display: block;
    margin-bottom: 10px;
  }
  .global-grid-row-tablet-full .global-grid-row {
    grid-template-columns: 1fr;
  }
  .footer-row-tablet-stack .footer-section {
    display: block;
    margin-bottom: 10px;
  }
  .footer-logo {
    display: block;
    margin: 30px 0px 29px;
  }
  .copyright-text {
    text-align: center;
    margin: 0px;
  }

  .footer-primary-section-1 {order: 3;}
  .footer-primary-section-2 {order: 1;}
  .footer-primary-section-3 {order: 2;}

  #photo-window-container {
    display: grid;
    grid-template-columns: auto;
    grid-template-rows: auto auto;
    margin: 1.5em;
  }
  #photo-window-container img {
    grid-row: 1/2;
    grid-column: 1/2;
    justify-self: center;
  }
  #photo-window-textarea {
    border-left: none;
    border-top: 2px dashed;
    border-color: var(--global-site-colour-1);
    max-width: initial;
    grid-row: 2/3;
    grid-column: 1/2;
  }
  #photo-window-textarea-container {
    align-self: auto;
  }
}

@media (max-width:768px) {
  .footer-above-grid-columns {
    grid-column-gap: 0px;
  }
  
  .grid-container-3 {
    grid-template-columns: 1fr 1fr;
  }
  
  .photo-window-item-container img {
    height: auto;
  }
  .hero-section .global-grid-row {
    grid-template-columns: 1fr;
    justify-items: center;
  }
  .hero-section .text-box {
    order: 2;
  }
}

@media (max-width:544px) {
  .global-grid-row, .grid-container-2, .grid-container-3 {
  grid-template-columns: 1fr;
  }
  .header-logo img {
    max-width: 50px;
  }
  .footer-primary {
    padding: 35px 0px;
  }
  .footer-email-subscription-bar, .footer-email-subscribe-wrap p {
    text-align: center;
  }
  .desktop-social-icon-row {
    display: none;
  }
  .text-box {
    padding: 0;
  }
  .section-content-wrap {
    padding-left: 1.5em;
    padding-right: 1.5em;
    flex-direction: unset;
  }
  .contact-field {
    display: grid;
  }
  .contact-form {
    width: 100%;
  }
}

/* ASPECT RATIOS */
@media (min-aspect-ratio: 11/10) {
  .page-container {
    max-width: 1200px;
    margin: auto;
  }
}
